Jump to content

3D polyline join lisp...upgrading?? +problem


Recommended Posts

Posted

Hello!! I found some lisp on internet that joins two 3D pline into one, but could it be improved so I can select couple of 3D plines and then join them?? And one more big thing that lisp does to every cad file I open, when selecting something on drawing it leaves small dots on the corner of cursor, but after I zoom or do some other action everything is good, I show it in picture...:geek:, I don't know what is it, maybe someone of you had dealing with something similiar problems like this....HOPE THAT THIS IS SOLVABLE because it is very ANNOYING...:shock::shock:, Cheers!!! I only get rid of it reinstalling ACAD...

3PEDIT.LSPFetching info...

example1.JPG

example2.JPG

Posted

Those dots represent pick points? Maybe it is your BLIPMODE setting.

Posted
  goldy2000 said:
Hello!! I found some lisp on internet that joins two 3D pline into one, but could it be improved so I can select couple of 3D plines and then join them?? And one more big thing that lisp does to every cad file I open, when selecting something on drawing it leaves small dots on the corner of cursor, but after I zoom or do some other action everything is good, I show it in picture...:geek:, I don't know what is it, maybe someone of you had dealing with something similiar problems like this....HOPE THAT THIS IS SOLVABLE because it is very ANNOYING...:shock::shock:, Cheers!!! I only get rid of it reinstalling ACAD...

 

Sounds like blipmode needs to be set to 0.

Posted
  ReMark said:
Those dots represent pick points? Maybe it is your BLIPMODE setting.

 

Yep, after I select something it shows these little dots, but when does regen or zoom they gone..arrrghhh, very annoying..:twisted:, did you had something similiar?? I enter it and they GOOONEEEEE!!!!!!!!! THX man, what is exactly BLIPMODE using for??? This is first time to hear for this

Posted
  The Buzzard said:
Sounds like blipmode needs to be set to 0.

 

 

Here it is in the main function. I placed a comment.

 

;..........Main function....................
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
; Global variable = #res  (curve resolution)
;~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
(defun c:3pedit (/ choice)
(initget "C J")
(setq choice (getkword "\nChange/Join <J>: "))
(cond
 ((= choice "C")
   (change_to_3d))
 (T
   (join3d))
)
[color=red](setvar "blipmode" 1)     ;<--- Set blipmode to 0 to get rid of the[/color] [color=red]ticks[/color]
(command "ucs" "w")
(princ)
);end c:3pedit
(princ "\n3Pedit.LSP    - Ver 1.3 -     Compliments of Batson Tool Corp.")
(princ "\nUsage -> Command: 3Pedit ")
(prin1)

Posted

THANKS BUZZARD, you saved me one more reinstalling..:lol:

Do you know maybe what is this blipmode using for??

Can this lisp be modified for selecting couple of 3d plines and then join?? maybe someone ask for this in this forum...going to find it..THX MAN one more time..:D

Posted

It a variable with what I think is an unwanted purpose.

I guess its just a preference thing. Does not effect the drawing in any way.

It can be annoying as you put it.

Posted

Forgot, As far as the 3D polylines, I am not versed in that area. It is best to wait for someone else on that. I am sure you will get an answer soon.

Posted
  The Buzzard said:
It a variable with what I think is an unwanted purpose.

I guess its just a preference thing. Does not effect the drawing in any way.

It can be annoying as you put it.

 

It was in LISP function, so I didn't know for it, I found this lisp on some page and took it, but now is solved8)

Posted
  The Buzzard said:
Forgot, As far as the 3D polylines, I am not versed in that area. It is best to wait for someone else on that. I am sure you will get an answer soon.

 

No problem man, here is a good page where I picked that lisp: http://www.cadcorner.ca/lisp.php

HOPE it will help to others to find what they need...:D8)

Posted

From the AutoCAD Help file:

 

Blipmode

 

Controls the display of marker blips.

 

When Blip mode is on, a temporary mark in the shape of a plus sign (+) appears where you specify a point.

 

If you issue a Redraw, Regen, Zoom or Pan the blips will disappear. I can't remember the last time I toggled them on. Leave them off...forever.

Posted
  scj said:
Try out my PEDIT3D.lsp from

www.black-cad.de

Good luck

Jochen

 

Hey man, thx for lisp, you can improve it to ask whether it should leave original 3Dplines or delete them, after it is joined it has 2 Plines, one new 3D, and other under those new created 3Dline, but thanks!! I'll buy couple of beers, cola and pizza...8):D

Posted
  ReMark said:
From the AutoCAD Help file:

 

Blipmode

 

Controls the display of marker blips.

 

When Blip mode is on, a temporary mark in the shape of a plus sign (+) appears where you specify a point.

 

If you issue a Redraw, Regen, Zoom or Pan the blips will disappear. I can't remember the last time I toggled them on. Leave them off...forever.

 

Yep, I also find it after first post, but think that is very ''unusable'' and totally necesarry, because people who don't use ACAD very often don't know why is this happening and search update bugs in Windows or in CAD....THX anywayo:)

  • 5 months later...
Posted

Guys . You should try the PEDIT3D from SCJ. Does all that and more ... Thanks

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...